#
# Conditional build:
%bcond_without	apidocs		# build without apidocs
%bcond_without	systemd		# use systemd for session tracking instead of ConsoleKit (fallback to ConsoleKit on runtime)

Summary:	A framework for defining policy for system-wide components
Summary(pl.UTF-8):	Szkielet do definiowania polityki dla komponentów systemowych
Name:		polkit
Version:	0.111
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://www.freedesktop.org/software/polkit/releases/%{name}-%{version}.tar.gz
# Source0-md5:	81b116edf986d8e13502929a171f4e0d
Patch0:		systemd-fallback.patch
URL:		http://www.freedesktop.org/wiki/Software/polkit
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.7
BuildRequires:	docbook-dtd412-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	expat-devel >= 1:1.95.8
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.32.0
BuildRequires:	glibc-misc
BuildRequires:	gobject-introspection-devel >= 0.6.2
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.3}
BuildRequires:	gtk-doc-automake >= 1.3
BuildRequires:	intltool >= 0.40.0
BuildRequires:	js185-devel
BuildRequires:	libtool
BuildRequires:	libxslt-progs
BuildRequires:	pam-devel >= 0.80
BuildRequires:	pkgconfig
BuildRequires:	python-modules
BuildRequires:	rpmbuild(macros) >= 1.647
%{?with_systemd:BuildRequires:	systemd-devel}
Requires:	%{name}-libs = %{version}-%{release}
%if %{without systemd}
Requires:	ConsoleKit >= 0.4.1
%else
Requires:	systemd-units >= 38
Suggests:	ConsoleKit >= 0.4.1
%endif
Requires:	dbus >= 1.1.2-5
Obsoletes:	PolicyKit
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PolicyKit is a framework for defining policy for system-wide
components and for desktop pieces to configure it.

%description -l pl.UTF-8
PolicyKit to szkielet do definiowania polityki dla komponentów
systemowych oraz składników pulpitu do konfigurowania ich.

%package apidocs
Summary:	PolicyKit API documentation
Summary(pl.UTF-8):	Dokumentacja API PolicyKit
Group:		Documentation
Requires:	gtk-doc-common
Obsoletes:	PolicyKit-apidocs

%description apidocs
PolicyKit API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API PolicyKit.

%package libs
Summary:	PolicyKit libraries
Summary(pl.UTF-8):	Biblioteki PolicyKit
Group:		Libraries
Requires:	dbus-libs >= 1.1.2-5
Requires:	glib2 >= 1:2.32.0
Requires:	gobject-introspection
Obsoletes:	PolicyKit-libs

%description libs
PolicyKit libraries.

%description libs -l pl.UTF-8
Biblioteki PolicyKit.

%package devel
Summary:	Header files for PolicyKit
Summary(pl.UTF-8):	Pliki nagłówkowe PolicyKit
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	expat-devel >= 1:1.95.8
Requires:	glib2-devel >= 1:2.32.0
Obsoletes:	PolicyKit-devel

%description devel
Header files for PolicyKit.

%description devel -l pl.UTF-8
Pliki nagłówkowe PolicyKit.

%package static
Summary:	Static PolicyKit libraries
Summary(pl.UTF-8):	Statyczne biblioteki PolicyKit
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	PolicyKit-static

%description static
Static PolicyKit libraries.

%description static -l pl.UTF-8
Statyczne biblioteki PolicyKit.

%prep
%setup -q
%{?with_systemd:%patch0 -p1}

%build
%{?with_apidocs:%{__gtkdocize}}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{__enable_disable apidocs gtk-doc} \
	--disable-silent-rules \
	%{__enable_disable systemd libsystemd-login} \
	--with-html-dir=%{_gtkdocdir} \
	--with-pam-include=system-auth \
	--with-pam-module-dir=/%{_lib}/security \
	--with-polkitd-user=polkitd

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang polkit-1

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 283 polkitd
%useradd -u 283 -s /bin/false -c "polkitd pseudo user" -g polkitd polkitd
%addusertogroup polkitd proc

%postun
if [ "$1" = "0" ]; then
	%userremove polkitd
	%groupremove polkitd
fi

%{?with_systemd:%systemd_reload}

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f polkit-1.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_bindir}/pkaction
%attr(755,root,root) %{_bindir}/pkcheck
%attr(4755,root,root) %{_bindir}/pkexec
%attr(755,root,root) %{_bindir}/pkttyagent
%attr(755,root,root) %{_bindir}/pk-example-frobnicate
%dir %{_prefix}/lib/polkit-1
%attr(4755,root,root) %{_prefix}/lib/polkit-1/polkit-agent-helper-1
%attr(755,root,root) %{_prefix}/lib/polkit-1/polkitd
%dir %{_sysconfdir}/polkit-1
%attr(700,polkitd,root) %dir %{_sysconfdir}/polkit-1/rules.d
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/polkit-1/rules.d/50-default.rules
/etc/dbus-1/system.d/org.freedesktop.PolicyKit1.conf
/etc/pam.d/polkit-1
%dir %{_datadir}/polkit-1
%{_datadir}/polkit-1/actions
%attr(700,polkitd,root) %dir %{_datadir}/polkit-1/rules.d
%{_datadir}/dbus-1/system-services/org.freedesktop.PolicyKit1.service
%{?with_systemd:%{systemdunitdir}/polkit.service}
%{_mandir}/man1/pkaction.1*
%{_mandir}/man1/pkcheck.1*
%{_mandir}/man1/pkexec.1*
%{_mandir}/man1/pkttyagent.1*
%{_mandir}/man8/polkit.8*
%{_mandir}/man8/polkitd.8*

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/polkit-1
%endif

%files libs
%defattr(644,root,root,755)
# notes which license applies to which package part, AFL text (and GPL text copy)
%doc COPYING
%attr(755,root,root) %{_libdir}/libpolkit-agent-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpolkit-agent-1.so.0
%attr(755,root,root) %{_libdir}/libpolkit-gobject-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpolkit-gobject-1.so.0
%{_libdir}/girepository-1.0/Polkit-1.0.typelib
%{_libdir}/girepository-1.0/PolkitAgent-1.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpolkit-agent-1.so
%attr(755,root,root) %{_libdir}/libpolkit-gobject-1.so
%{_includedir}/polkit-1
%{_pkgconfigdir}/polkit-agent-1.pc
%{_pkgconfigdir}/polkit-gobject-1.pc
%{_datadir}/gir-1.0/Polkit-1.0.gir
%{_datadir}/gir-1.0/PolkitAgent-1.0.gir

%files static
%defattr(644,root,root,755)
%{_libdir}/libpolkit-agent-1.a
%{_libdir}/libpolkit-gobject-1.a
%changelog
* Mon Sep 23 2013 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/polkit.git;a=log;h=master

* Sat May 18 2013 Łukasz Kieś <kiesiu@pld-linux.org> 3bdd10d
- updated to 0.111
- AM patch is obsoleted now

* Sat May 18 2013 Łukasz Kieś <kiesiu@pld-linux.org> f531203
- obsoleted

* Fri May 17 2013 Elan Ruusamäe <glen@delfi.ee> 368d6c5
- libs R gobject-introspection for /usr/lib/girepository-1.0 dirdep

* Sun Mar 24 2013 Jan Rękorajski <baggins@pld-linux.org> c88a644
- add polkitd user to proc group to allow access to /proc mounted with
  hidepid option
- rel 3

* Thu Mar 14 2013 Jan Rękorajski <baggins@pld-linux.org> e0b45bc
- unit file has no [Install] section, and is not meant to be enabled using systemctl
- rel 2

* Sat Jan 12 2013 Jakub Bogusz <qboosh@pld-linux.org> 357271f
- updated to 0.110
- added am patch (fixes build with automake 1.13)

* Fri Dec 28 2012 Łukasz Kieś <kiesiu@pld-linux.org> 87266ac
- updated to 0.109

* Thu Nov 15 2012 Jakub Bogusz <qboosh@pld-linux.org> 8ecb314
- updated to 0.108

* Mon Nov 12 2012 Jan Rękorajski <baggins@pld-linux.org> 1b9b199
- parallel build doesn't work

* Sun Nov 11 2012 Jan Rękorajski <baggins@pld-linux.org> 696208b
- rebuild with expat 2.1.0
- release 2 (by relup.sh)

* Mon Oct 08 2012 Elan Ruusamäe <glen@delfi.ee> 76637f9
- avoid empty post/postun scriptlets (omit completely if no body)

* Sun Oct 07 2012 Marcin Banasiak <marcin.banasiak@gmail.com> a7e4998
- Updated to 0.107

* Wed Apr 18 2012 Elan Ruusamäe <glen@pld-linux.org> 835d1e5
- bump glib2 deps to 2.32.0 to avoid NM upgrade failing to startup itself:
  NetworkManager: symbol lookup error: /usr/lib/libpolkit-gobject-1.so.0: undefined symbol: g_mutex_lock

* Mon Apr 02 2012 Łukasz Kieś <kiesiu@pld-linux.org> 186114f
- added patch for runtime fallback to ConsoleKit; rel. 3

* Mon Jan 30 2012 Jan Rękorajski <baggins@pld-linux.org> f308497
- rel 2
- O for PolicyKit packages

* Sat Jan 07 2012 Jakub Bogusz <qboosh@pld-linux.org> a313ddd
- updated to 0.104
- added systemd bcond
- removed HAL mention from descriptions

* Thu Dec 08 2011 Jakub Bogusz <qboosh@pld-linux.org> b30c950
- updated to 0.103
- removed obsolete stdout-and-stderr patch

* Mon Nov 28 2011 Bartłomiej Zimoń <cactus@pld-linux.org> ef0ce66
- rel 2; add nodebug patch - fix lots of debug info in systemd dmesg

* Wed Aug 03 2011 Jakub Bogusz <qboosh@pld-linux.org> 9ff6e80
- updated to 0.102

* Wed Mar 09 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 5498e51
- updated to 0.101
- removed libtool files

